Skip to content

Creates a draft catalog entry.

POST
/v1/m/catalog/entries
curl --request POST \
--url https://example.com/v1/m/catalog/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "approved_at": "example", "approved_by": "example", "content_hash": "example", "id": "example", "kind": "agent", "name": "example", "owner_ref": "example", "sig_alg": "example", "signed": true, "signed_by": "example", "slug": "example", "spec": {}, "status": "example", "summary": "example", "version": "example" }'

Creates a draft catalog entry.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
approved_at
string
approved_by
string
content_hash
string
id
string
kind
required
string
Allowed values: agent mcp skill template model connector
name
required
string
/\S/
owner_ref
string
sig_alg
string
signed
boolean
signed_by
string
slug
required
string
/^[a-z0-9_-]{1,64}$/
spec
Any of:
object
key
additional properties
any
status
string
summary
string
version
required
string
<= 64 characters /^(0|[1-9][0-9]*)\.(0|[1-9][0-9]*)\.(0|[1-9][0-9]*)(-[0-9A-Za-z-]+(\.[0-9A-Za-z-]+)*)?(\+[0-9A-Za-z-]+(\.[0-9A-Za-z-]+)*)?$/

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}